
// Persistence of Vision Ray Tracer Scene Description File
// File: .pov
// Vers: 3
// Desc:end of day
// Date:02 20 1997
// Auth:Anto Matkovic
// email:anto.matkovic@zg.tel.hr

#include "colors.inc"
#include "textures.inc"
#include "CONSTS.INC"
#include "METALS.INC"
#include "SHAPES.INC"
#include "SHAPES2.INC"
#include "SHAPESQ.INC"
#include "SKIES.INC"
#include "STONES.INC"
#include "STONES2.INC"
#include "WOODMAPS.INC"
#include "WOODS.INC"



#include "lamp.inc"
#include "glasses.inc"
#include "glassices.inc"
#include "pencil.inc"
#include "marbles.inc"
#include "plate.inc"


#declare zid = texture{pigment{colour rgb <0.8, 0.75, 0.7>}
  finish {diffuse 0.5 ambient 0.4  specular 0.1 roughness 0.1}
  normal{bumps 0.2 scale 0.0001}}

#declare stol = texture {pigment { spotted
    turbulence 0.8  omega 0.7  lambda 2.2
    colour_map
    { [0.00 color rgb<0.64, 0.44, 0.4>]
      [0.22 color rgb<0.7, 0.5, 0.4>]
      [1.00 color rgb<0.8, 0.7, 0.6>]}
      scale <0.1, 0.1, 0.1>}
finish { ambient 0.3 diffuse 0.5 phong 0.7 phong_size 40}
scale 0.2}

#declare strop = texture{pigment{bozo colour_map
 {[0.2 red 0.9 green 0.8 blue 0.7 ]
   [0.9 red 0.9 green 0.9 blue 0.9 ]}
   scale 0.1}
  finish {diffuse 0.2 ambient 0.4  phong 1    phong_size 60}
  normal{granite 0.2 scale 0.1}}

camera
{  location  <73, -15, 73>
   direction <0.0, 2.414214, 0.0>
   sky       <0.0, 0.0, 1.0>
   up        <0.0, 0.0, 1.0>
   right     <1.33, 0.0, 0.0>
   look_at   <0, 2, 16>
   angle 28
   }

sky_sphere{pigment{spotted
    turbulence 0.5  omega 0.9  lambda 2.2
    colour_map
    { [0.00 color rgb<0.7, 0.64, 0.6>]
      [0.22 color rgb<0.8, 0.75, 0.7>]
      [1.00 color rgb<0.9, 0.85, 0.75>]}
      scale <0.1, 0.1, 0.1>scale 0.05}}

// stol
  box {<-0.5, -0.5, -0.5>, <0.5, 0.5, 0.5>
      texture {stol}
       scale     <200, 200, 2.00>
       translate <84, 0, -1.00>}

// zid
  box {<-0.5, -0.5, -0.5>, <0.5, 0.5, 0.5>
      texture {zid}
       scale     <2, 180, 180>
       translate <-18, 0, 60>}

// strop
  box {<-0.5, -0.5, -0.5>, <0.5, 0.5, 0.5>
      texture {strop}
       scale     <200, 200, 2.00>
       translate <84, 0, 180>}




